List Vehicle Command Executions
curl --request GET \
--url https://api.volteras.com/v1/vehicles/{vehicle_id}/command-executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.volteras.com/v1/vehicles/{vehicle_id}/command-executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.volteras.com/v1/vehicles/{vehicle_id}/command-executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"vehicleId": "<string>",
"command": "WAKE_UP",
"id": "<string>",
"commandArguments": {},
"timeout": 123,
"executedAt": "2023-11-07T05:31:56Z",
"status": "PENDING",
"failedReason": "OEM_UNKNOWN_ERROR"
}
],
"nextPageToken": "<string>",
"totalResults": 123
}Vehicle Command Executions
List Vehicle Command Executions
Retrieve a paginated list of vehicle command executions for specific vehicle based on its unique identifier (ID).
Parameters:
vehicle_id: The unique identifier (ID) of the vehicle to retrieve the command executions.
Returns:
- A paginated response containing a list of vehicle command executions.
Find details on list filter syntax in our documentation here.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- PAGE_SIZE_TOO_LARGE
- PAGINATED_QUERY_FILTER_CHANGED
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR
GET
/
v1
/
vehicles
/
{vehicle_id}
/
command-executions
List Vehicle Command Executions
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique internal identifier for the vehicle.
Query Parameters
Max size of the returned list.
Page token used for pagination.
Listing filter schema.

